## org.apache.lucene.queries.function.valuesource
Class LongFieldSource

    java.lang.Object
      org.apache.lucene.queries.function.ValueSource
          org.apache.lucene.queries.function.valuesource.FieldCacheSource
              org.apache.lucene.queries.function.valuesource.LongFieldSource

    public class LongFieldSource

extends FieldCacheSource

Obtains float field values from the `FieldCache` using `getFloats()` and makes those values available as other numeric types, casting as needed.

Field Summary
`protected FieldCache.LongParser` `parser`

Fields inherited from class org.apache.lucene.queries.function.valuesource.FieldCacheSource
`cache, field`

Constructor Summary
`LongFieldSource(String field)`
`LongFieldSource(String field, FieldCache.LongParser parser)`

Method Summary
`String` `description()` description of field, used in explain()
`boolean` `equals(Object o)`
`long` `externalToLong(String extVal)`
`FunctionValues` `getValues(Map context, AtomicReaderContext readerContext)` Gets the values for this reader and the context that was previously passed to createWeight()
`int` `hashCode()`
`Object` `longToObject(long val)`
`String` `longToString(long val)`
`protected MutableValueLong` `newMutableValueLong()`

Methods inherited from class org.apache.lucene.queries.function.valuesource.FieldCacheSource
`getField, getFieldCache`

Methods inherited from class org.apache.lucene.queries.function.ValueSource
`createWeight, getSortField, newContext, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### parser

    protected final FieldCache.LongParser parser

Constructor Detail

### LongFieldSource

    public LongFieldSource(String field)

### LongFieldSource

    public LongFieldSource(String field,
                           FieldCache.LongParser parser)

Method Detail

### description

    public String description()

  Description copied from class: `ValueSource`
  description of field, used in explain()

  Overrides:
    `description` in class `FieldCacheSource`

### externalToLong

    public long externalToLong(String extVal)

### longToObject

    public Object longToObject(long val)

### longToString

    public String longToString(long val)

### getValues

    public FunctionValues getValues(Map context,
                                    AtomicReaderContext readerContext)
                             throws IOException

  Description copied from class: `ValueSource`
  Gets the values for this reader and the context that was previously passed to createWeight()

  Specified by:
    `getValues` in class `ValueSource`
  Throws:
    `IOException`

### newMutableValueLong

    protected MutableValueLong newMutableValueLong()

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `FieldCacheSource`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `FieldCacheSource`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.